mtxrun(1)

NAME
 mtxrun - ConTeXt TDS Runner Tool

SYNOPSIS
mtxrun [ OPTIONS ... ] [ FILENAMES ]

DESCRIPTION
ConTeXt TDS Runner Tool

OPTIONS

--script
    run an mtx script (lua prefered method) (--noquotes), no script gives list

--evaluate
    run code passed on the commandline (between quotes) (=loop) (exit|quit aborts)

--execute
    run a script or program (texmfstart method) (--noquotes)

--direct
    run a program

--resolve
    resolve prefixed arguments

--ctxlua
    run internally (using preloaded libs)

--internal
    run script using built in libraries (same as --ctxlua)

--locate
    locate given filename in database (default) or system (--first --all --detail)

--tree=pathtotree
    use given texmf tree (default file: setuptex.tmf)

--path=runpath
    go to given path before execution

--ifchanged=filename
    only execute when given file has changed (md checksum)

--iftouched=old,new
    only execute when given file has changed (time stamp)

--makestubs
    create stubs for (context related) scripts

--removestubs
    remove stubs (context related) scripts

--stubpath=binpath
    paths where stubs wil be written

--windows
    create windows (mswin) stubs

--unix
    create unix (linux) stubs

--addbinarypath
    prepend the (found) binarypath to runners

--verbose
    give a bit more info

--trackers=list
    enable given trackers

--progname=str
    format or backend

--platform=str
    show platform as seen by script

--systeminfo=str
    show current operating system, processor, etc

--edit
    launch editor with found file

--launch
    launch files like manuals, assumes os support (--all,--list)

--associate
    launch files like manuals, assumes os support via suffix association

--timedrun
    run a script and time its run

--autogenerate
    regenerate databases if needed (handy when used to run context in an editor)

--usekpse
    use kpse as fallback (when no mkiv and cache installed, often slower)

--forcekpse
    force using kpse (handy when no mkiv and cache installed but less functionality)

--prefixes
    show supported prefixes

--generate
    generate file database

--variables
    show configuration variables

--configurations
    show configuration order

--directives
    show (known) directives

--trackers
    show (known) trackers

--experiments
    show (known) experiments

--expand-braces
    expand complex variable

--resolve-path
    expand variable (completely resolve paths)

--expand-path
    expand variable (resolve paths)

--expand-var
    expand variable (resolve references)

--show-path
    show path expansion of ...

--var-value
    report value of variable

--find-file
    report file location

--find-path
    report path of file

--format-path
    report path where format files end up

--pattern=string
    filter variables

--all=string
    report all (when applicable)

--format=string
    filter by file format (when applicable)

--selfclean=string
    remove libraries (maintainance)

--selfmerge=string
    embed libraries (maintainance)

--selfupdate=string
    move to bin path (maintainance)

--help=string
    show help info

--help=string
    show version info

--gethelp=string
    launch the given help info (--url)

AUTHOR
More information about ConTeXt and the tools that come with it can be found at: maillist: ntg-context@ntg.nl / http://www.ntg.nl/mailman/listinfo/ntg-context webpage: http://www.pragma-ade.nl / http://tex.aanhet.net wiki: http://contextgarden.net